// shower head bracket
// units are mm

include <../../../Modules/Module_Rounded_Cube.scad>;
include <../../../Modules/Module_Really_Rounded_Cube.scad>;

//$fn=23;
$fn=50;
h = 50; // height
w = 33; // width

dia_top = 25; // shower diameter top
dia_bottom = 18; // shower diameter bottom
angle = 25; 

dia_screw1 = 6;
dia_screw2 = 10;
dist_screw = 5;
dr=15;
	
dist =5;
d = 25 +  dia_bottom + dist;
ms=23;
mh=100;

main();

module main()
{
		/* Holder */
	difference()
	{
		//%translate([0, -w/2, 0]) cube(size=[d,w,h]);
		//translate([d/2, 0, h/2])roundedCubeWithCornerDiameter(d, w, h, 0, dr, 0, dr);
		translate([d/2, 0, 0]) reallyRoundedCube(sizeX=d, sizeY=w, sizeZ=h, diameter=dr);
		

		translate([d-dia_bottom,0,h/2]) rotate([0,angle,0]) union()
		{
			translate([0,0,-5]) cylinder(h=h+6, r1=dia_bottom/2, r2=dia_top/2, center=true);
			translate([0,-dia_bottom/2,-(h+15)/2]) cube(size=[100,dia_bottom,h+15]);
			if (1) // Anschrägung oben
			translate([0,0,h/2+5]) cube(size=[w+10,w+10,20], center=true);
		}
		
		if (0) // Anschrägung vorne
		translate([d-dia_bottom,-(w+10)/2,0]) rotate([0,angle,0]) cube(size=[d,w+10,h]);
		
		//translate([0,0,h/4]) hole();
		//translate([0,0,h*3/4]) hole();
	}

	/* senkrechtes Dingeskirchens */
	translate([ms/2, 0, h+mh/2-dr/2*1])roundedCubeWithCornerDiameter(ms, w, mh, dr, dr, dr, dr);

	/* Oberer Halter am Glas */
	difference()
	{
		du=d-5;
		translate([-du/2+23, 0, 100]) reallyRoundedCube(sizeX=du, sizeY=w, sizeZ=h, diameter=dr);
	
		translate([-9, -w/2, 100-20]) cube([9, w, h]);
	}
	
}




